npm 5.7.1 发布,修复 5.7.0 出现的严重错误

局长
 局长
发布于 2018年02月23日
收藏 1

npm 5.7.0 已于昨天发布,这是一个比较大的更新版本,更新内容包括一系列新功能和 bug 修复。具体的描述可查看发布主页

这里要说的是,5.7.0 有一个十分严重的 bug,该版本会导致部分使用 Linux 系统的用户遭遇重大错误,该错误会修改一些关键的 Linux 文件系统权限(使用 sudo 账号的情况下),详细情况请查看关于该错误的 issue 描述。

官方获悉后,紧急发布了修复该错误的 5.7.1 版本,该版本修复了在使用 sudo 用户时,从某些目录运行可能会导致系统文件发生某些权限的更改。

看 issue 下面的评论,貌似有不少用户中招了,所以看到这条新闻的你,如果已经升级到了 5.7.0,不要犹豫,赶紧升级到 5.7.1 吧。

详情点此查看:https://github.com/npm/npm/releases/tag/v5.7.1

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:npm 5.7.1 发布,修复 5.7.0 出现的严重错误
加载中

最新评论(4

鞋底两万里
鞋底两万里
还是yarn用起来舒服
Zoker
Zoker
5.6.0 路过
ChengShuai
ChengShuai
8.4.0自带的5.6表示很淡定
返回顶部
顶部